Package org.codehaus.groovy.ant

# Class GroovycTask

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.Task
org.apache.tools.ant.taskdefs.MatchingTask
org.codehaus.groovy.ant.CompileTaskSupport
org.codehaus.groovy.ant.GroovycTask

All Implemented Interfaces:
  `Cloneable`, `org.apache.tools.ant.types.selectors.SelectorContainer`

public class GroovycTask extends CompileTaskSupport
Compiles Groovy source files.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected boolean`
  `force`
  Forces every matching source file to be compiled.

  ### Fields inherited from class org.codehaus.groovy.ant.CompileTaskSupport

  `classpath, config, destdir, failOnError, log, src`

  ### Fields inherited from class org.apache.tools.ant.taskdefs.MatchingTask

  `fileset`

  ### Fields inherited from class org.apache.tools.ant.Task

  `target, taskName, taskType, wrapper`

  ### Fields inherited from class org.apache.tools.ant.ProjectComponent

  `description, location, project`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GroovycTask()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `compile()`
  Compiles the configured Groovy sources.
  `void`
  `setForce(boolean flag)`
  Controls whether compilation should ignore timestamp checks.

  ### Methods inherited from class org.codehaus.groovy.ant.CompileTaskSupport

  `createClassLoader, createClasspath, createConfiguration, createSrc, execute, getClasspath, getFailonerror, getSrcdir, handleException, setClasspath, setClasspathRef, setDestdir, setFailonerror, setSrcdir, validate`

  ### Methods inherited from class org.apache.tools.ant.taskdefs.MatchingTask

  `add, addAnd, addContains, addContainsRegexp, addCustom, addDate, addDepend, addDepth, addDifferent, addFilename, addMajority, addModified, addNone, addNot, addOr, addPresent, addSelector, addSize, addType, appendSelector, createExclude, createExcludesFile, createInclude, createIncludesFile, createPatternSet, getDirectoryScanner, getImplicitFileSet, getSelectors, hasSelectors, selectorCount, selectorElements, setCaseSensitive, setDefaultexcludes, setExcludes, setExcludesfile, setFollowSymlinks, setIncludes, setIncludesfile, setProject, XsetIgnore, XsetItems`

  ### Methods inherited from class org.apache.tools.ant.Task

  `bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

  ### Methods inherited from class org.apache.tools.ant.ProjectComponent

  `clone, getDescription, getLocation, getProject, setDescription, setLocation`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### force

    protected boolean force
    Forces every matching source file to be compiled.

- ## Constructor Details

  - ### GroovycTask

    public GroovycTask()

- ## Method Details

  - ### setForce

    public void setForce(boolean flag)
    Controls whether compilation should ignore timestamp checks.
    Parameters:
      `flag` - `true` to compile every matching source file

  - ### compile

    protected void compile() throws IOException
    Compiles the configured Groovy sources.
    Specified by:
      `compile` in class `CompileTaskSupport`
    Throws:
      `IOException`